// Пример 7. Использование функции MessageBox()

Primer07()
{
  var CFile=CreateObject("CurPrnFile"); // объект класса для работы с текущим файлом печати
  CFile.SetFlagBrowse(0);               // запрещаем просмотр

  int i=21;
  MessageBox(0,i,"int",0);

  char ch='П';
  char ts[10];
  sprintf(ts,"%c",ch);
  MessageBox(0,Ansi(ts),"char",0);

  double d=-51.234;
  MessageBox(0,d,"double",0);

  string s=Ansi("переменная типа string");
  MessageBox(0,s,"string",0);

  char str[50];
  sprintf(str,"%s",Ansi("Строка типа массив char"));
  MessageBox(0,str,"array of char",0);
}

Ansi( Str )
// функция перекодирует значение Str в windows-кодировку и возвращает перекодированное значение
// Str - строка, которую нужно перекодировать
{
   string Ans=Str;
   OemToChar(Str,Ans);
   return Ans;
}
